org.apache.sysds.runtime.io.hdf5

## Class H5Superblock

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5Superblock

-     public class H5Superblock
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `addressOfGlobalFreeSpaceIndex`
    `long` | `baseAddressByte`
    `long` | `driverInformationBlockAddress`
    `long` | `endOfFileAddress`
    `int` | `groupInternalNodeK`
    `int` | `groupLeafNodeK`
    `long` | `rootGroupSymbolTableAddress`
    `int` | `sizeOfLengths`
    `int` | `sizeOfOffsets`
    `int` | `versionNumberOfTheFileFreeSpaceInformation`
    `int` | `versionOfRootGroupSymbolTableEntry`
    `int` | `versionOfSharedHeaderMessageFormat`
    `int` | `versionOfSuperblock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `H5Superblock()`
    `H5Superblock(BufferedInputStream bis, long address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `toBuffer(H5BufferBuilder bb)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### versionOfSuperblock

          public int versionOfSuperblock

    - #### versionNumberOfTheFileFreeSpaceInformation

          public int versionNumberOfTheFileFreeSpaceInformation

    - #### versionOfRootGroupSymbolTableEntry

          public int versionOfRootGroupSymbolTableEntry

    - #### versionOfSharedHeaderMessageFormat

          public int versionOfSharedHeaderMessageFormat

    - #### sizeOfOffsets

          public int sizeOfOffsets

    - #### sizeOfLengths

          public int sizeOfLengths

    - #### groupLeafNodeK

          public int groupLeafNodeK

    - #### groupInternalNodeK

          public int groupInternalNodeK

    - #### baseAddressByte

          public long baseAddressByte

    - #### addressOfGlobalFreeSpaceIndex

          public long addressOfGlobalFreeSpaceIndex

    - #### endOfFileAddress

          public long endOfFileAddress

    - #### driverInformationBlockAddress

          public long driverInformationBlockAddress

    - #### rootGroupSymbolTableAddress

          public long rootGroupSymbolTableAddress

  - ### Constructor Detail

    - #### H5Superblock

          public H5Superblock()

    - #### H5Superblock

          public H5Superblock(BufferedInputStream bis,
                              long address)

  - ### Method Detail

    - #### toBuffer

          public void toBuffer(H5BufferBuilder bb)

Copyright © 2021 The Apache Software Foundation. All rights reserved.